<?php

$pas = getuserdata('pas', 1);

$email = getuserdata('email');

$submit = getuserdata('submit');
$eroare = '';

function procesare_modul()
{
}

function scripturi_modul()
{
}

function afisare_modul()
{
	global $id_modul, $pas, $email, $eroare;
	       
    echo "<h1>Newsletter</h1>";
    
    ?>
    
    <script type="text/javascript">
    
	function submitForm()
	{
		var f = document.getElementById("frmNewsletter");
		f.submit();
	}
    
	</script>
    
    <?
    
    $suprima_meniu_stanga = 1;
    
    if ($pas == 2)
    {
    	$eroare = '';
		if (!$email) $eroare .= 'Nu ați introdus adresa de e-mail<br>'; 
		if ($eroare) { $pas = 1; $eroare .= '<br>'; } 
	}
    
    switch($pas)
    {
		case 1:
		    echo "<p>Serviciul de newsletter conține noutăți medicale și din domeniul IT.</p>";
		    if ($eroare) echo "<center style='color: red'>$eroare</center>";
		    echo "<p>Doresc să mă abonez:";
		    echo "<form action='{$_SERVER['PHP_SELF']}' method='POST' id='frmNewsletter'>";
		    echo "<input type='hidden' name='id_modul' value='$id_modul'>";
		    echo "<input type='hidden' name='pas' value='2'>";
		    echo "<input type='text' name='email' value='$email'></p>";
			echo "<span class='meniu_stanga' style='width: auto'>";
			echo "<a href='#' onClick='submitForm()'>";
			echo "<div class='stanga'></div>";
	        echo "<div class='centru_auto'>Trimite</div>";
	        echo "<div class='dreapta'></div>";
			echo "</a></span>";
			echo "</form>";
			break;
		case 2:
		    $total = 0;
			mysql_query("INSERT INTO newsletter (email) VALUES ('$email')");
			if (!mysql_error())
			{
				echo "<p>Vă mulțumim pentru alegerea dumneavoastră!</p>";
				echo "<p>Ați fost abonat la serviciul de newsletter cu adresa de e-mail $email</p>";
                $q = mysql_query("SELECT * FROM optiuni");
                if ($r = mysql_fetch_assoc($q))
                    if ($r['email_newsletter'])
                        mail($r['email_newsletter'], 'Inscriere newsletter',
                             "Se solicita abonare la newsletter pentru adresa: $email", "From: webmaster@setrio.ro");
            }
			else
			{
				echo "<p>A apărut o eroare la procesarea cererii dumneavoastră. Vă rugăm să încercați din nou sau să ne contactați ".
				     "telefonic la <b>0374.211.000</b>. Ne cerem scuze pentru neplăcerile cauzate.</p>";
			}
	}
}

?>